Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76944 - RFE : replace vsftpd-1.1.0 with vsftpd-1.1.2
Summary: RFE : replace vsftpd-1.1.0 with vsftpd-1.1.2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vsftpd
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-29 21:51 UTC by Peter van Egdom
Modified: 2014-03-17 02:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-14 00:28:55 UTC


Attachments (Terms of Use)

Description Peter van Egdom 2002-10-29 21:51:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
According to : ftp://vsftpd.beasts.org/users/cevans/

A newer version of vsftpd is out. This new version gets rid of the
      
      "220 ready, dude (vsFTPd 1.1.0: beat me, break me)" 

message that appears after logging in.

Of course, geeks & hackers love these kind of messages, but the pointy
haired managers don't seem to 'get' the humor involved. :-)



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Enable ftp daemon in "/etc/xinet.d/vsftp"
2. "ftp localhost"
3. observe.
	

Actual Results:  "220 ready, dude (vsFTPd 1.1.0: beat me, break me)"

Expected Results:  "(vsFTPd 1.1.2)"

Additional info:

vsftpd-1.1.0-1

Comment 1 R P Herrold 2002-11-12 19:00:27 UTC
Actually it appears that
ftp://vsftpd.beasts.org/users/cevans/vsftpd-1.1.3.tar.gz is out as well.

I get a clean compile and run with a simple substitution in ~/redhat/SOURCS/ and
a trivial edit to the .spec file.

Existing patches apply cleanly.

[herrold@ftp dl]$ ftp localhost
Connected to localhost (127.0.0.1).
220 (vsFTPd 1.1.3)
Name (localhost:herrold): asdf
331 Please specify the password.
Password:
530 Login incorrect.
Login failed.
ftp>


Comment 2 Bill Nottingham 2002-12-14 00:28:55 UTC
1.1.3-1 built.


Note You need to log in before you can comment on or make changes to this bug.